----------------------------
-- Localized Library Namespace
----------------------------
local config = LibStub("AceConfig-3.0")
local dialog = LibStub("AceConfigDialog-3.0")
local cmd    = LibStub("AceConfigCmd-3.0")
local reg    = LibStub("AceConfigRegistry-3.0")

----------------------------
-- Localized Addon Namespace
----------------------------
local private = select(2, ...)
local addon = LibStub("AceAddon-3.0"):GetAddon(private.addonName)

---- Config
-- Configures the addon by setting up Inferface Options GUI,
-- the slash commands, and their respective callbacks
function addon:Config()
  config:RegisterOptionsTable(private.addonName, private.options)
  private.optionsFrame             = dialog:AddToBlizOptions(private.addonName, private.addonName)
  private.optionsFrame["About"]    = LibStub("LibAboutPanel").new(private.addonName, private.addonName)
  
  addon:RegisterChatCommand("sg", "ChatCommand")
  addon:RegisterChatCommand("skillguide", "ChatCommand")
end

----------------------------
-- Callbacks
----------------------------

---- Chat Command
-- input - text, if any, entered after the slash command
-- Handles the parsing of the slash commands.
function addon:ChatCommand(input)
  if not input or input:trim() == "" then
    InterfaceOptionsFrame_OpenToCategory(private.optionsFrame)
  elseif input == "about" or input:trim() == "about" then
    InterfaceOptionsFrame_OpenToCategory(private.optionsFrame["About"])
  elseif input == "show" or input:trim() == "show" then
    addon:Show()
  else
    cmd:HandleCommand("sg", private.addonName, input)
  end
end
