----------------------------
-- Localized Addon Namespace
----------------------------
local private = select(2, ...)
local addon = LibStub("AceAddon-3.0"):NewAddon(private.addonName, "AceConsole-3.0", "AceEvent-3.0")

---- Initialize Addon
-- Called by AceAddon when the client first loads.
-- Performs actions that should only be done once and needed for
-- normal operations
function addon:OnInitialize()
  addon.db = LibStub("AceDB-3.0"):New("SkillGuideDB", private.defaults, true)
  addon:Config()
end

---- Enable Addon
-- Called by AceAddon when the addon is enabled. This can occur
-- more than once. Performs action that should be done to load
-- the addon and set up the addon such as event registration.
function addon:OnEnable()
  addon:RegisterEvent("TRADE_SKILL_SHOW")
end

---- Disable Addon
-- Called by AceAddon when the addon is disabled. This can occur
-- more than once. Performs action that should be done to unload
-- the addon and tear down the addon such as event unregistration.
function addon:OnDisable()
end
